'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var umi = require('@metaplex-foundation/umi');
var umiEddsaWeb3js = require('@metaplex-foundation/umi-eddsa-web3js');
var umiHttpFetch = require('@metaplex-foundation/umi-http-fetch');
var umiProgramRepository = require('@metaplex-foundation/umi-program-repository');
var umiRpcWeb3js = require('@metaplex-foundation/umi-rpc-web3js');
var umiSerializerDataView = require('@metaplex-foundation/umi-serializer-data-view');
var umiStorageMock = require('@metaplex-foundation/umi-storage-mock');
var umiTransactionFactoryWeb3js = require('@metaplex-foundation/umi-transaction-factory-web3js');

const testPlugins = (endpoint = 'http://127.0.0.1:8899', rpcOptions = 'confirmed') => ({
  install(umi$1) {
    umi$1.use(umiSerializerDataView.dataViewSerializer());
    umi$1.use(umiProgramRepository.defaultProgramRepository());
    umi$1.use(umiHttpFetch.fetchHttp());
    umi$1.use(umiEddsaWeb3js.web3JsEddsa());
    umi$1.use(umiRpcWeb3js.web3JsRpc(endpoint, rpcOptions));
    umi$1.use(umiTransactionFactoryWeb3js.web3JsTransactionFactory());
    umi$1.use(umiStorageMock.mockStorage());
    umi$1.use(umi.generatedSignerIdentity());
  }
});

exports.testPlugins = testPlugins;
//# sourceMappingURL=plugin.cjs.map
