import { createUmi as createUmi$1, sol, generateSigner } from '@metaplex-foundation/umi';
import { testPlugins } from './plugin.mjs';
export { testPlugins } from './plugin.mjs';

const createUmi = async (endpoint, rpcOptions, airdropAmount = sol(100)) => {
  const umi = createUmi$1().use(testPlugins(endpoint, rpcOptions));
  await umi.rpc.airdrop(umi.identity.publicKey, airdropAmount);
  return umi;
};
const generateSignerWithSol = async (context, airdropAmount = sol(100)) => {
  const signer = generateSigner(context);
  await context.rpc.airdrop(signer.publicKey, airdropAmount);
  return signer;
};

export { createUmi, generateSignerWithSol };
//# sourceMappingURL=index.mjs.map
